Bug 3795

Summary: Application menu contains no items after installing package with very full fs
Product: [Maemo Official Applications] Settings and Maintenance Reporter: Ryan Abel <rabelg5>
Component: Application managerAssignee: unassigned <nobody>
Status: RESOLVED WONTFIX QA Contact: application-manager-bugs
Severity: normal    
Priority: Low CC: andre_klapper, eero.tamminen
Version: 4.1.2 (4.2008.36-5)   
Target Milestone: ---   
Hardware: All   
OS: Maemo   
URL: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=15865

Description Ryan Abel (reporter) maemo.org 2008-10-09 22:07:42 UTC
SOFTWARE VERSION:
4.2008.36-5

STEPS TO REPRODUCE THE PROBLEM:

1. Install something on a system with very little free space (I installed a
~600KB package, and df indicated that the partition was 100% full afterwards)
2. Install completes successfully.
3. Open the Application menu.
4. See it contains no items.

5. Run update-desktop-database as root, no effect.
6. ls -l /usr/share/
     drwxr-xr-x    7 1000    1000        1024 Oct 10 14:22 applications
     drwxr-xr-x    7 1000    1000        1024 Oct 10 14:22 apps
     drwxr-xr-x    7 1000    1000        1024 Oct 10 14:22 dbus-1
     drwxr-xr-x    7 1000    1000        1024 Oct 10 14:22 icons
(seemingly everything that was touched during the last package install)
7. chown -R root:root ./applications
8. Rerun update-desktop-database as root, no effect.

9. cat /home/user/.osso/menus/applications.menu
     File is empty
10. mv ./applications.menu ./applications.backup
11. Rerun update-desktop-database, no effect.

12. cp /etc/xdg/menus/applications.menu /home/users/.osso/menus
13. Application menu is restored with default menu arrangement.
14. Reorganizing menu in Panels works.

EXPECTED OUTCOME:
Install does not cause complications.

ACTUAL OUTCOME:
After successful installation, the Application menu contains no items.

REPRODUCIBILITY:
Twice, once 2 months ago under conditions that I don't remember, and once today
with a very full fs.

OTHER COMMENTS:
Seems likely that it's caused by a very full fs, and not an easy-to-solve
edge-case, but the weird permissions are somewhat disturbing.

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US)
AppleWebKit/525.18 (KHTML, like Gecko, Safari/525.20) OmniWeb/v622.3.0.105198
Comment 1 Eero Tamminen nokia 2008-10-13 16:25:52 UTC
> 1. Install something on a system with very little free space (I installed
> a ~600KB package, and df indicated that the partition was 100% full afterwards)
> 2. Install completes successfully.

Which package?  Application manager should not allow package installation to
fill the file system completely, but if the package pre/post-install scripts do
stupid things, there's nothing AM can do.

If the disk gets full, yes, there will be less than funny effects.
Comment 2 Ryan Abel (reporter) maemo.org 2008-10-13 17:34:22 UTC
(In reply to comment #1)
> > 1. Install something on a system with very little free space (I installed
> > a ~600KB package, and df indicated that the partition was 100% full afterwards)
> > 2. Install completes successfully.
> 
> Which package?  Application manager should not allow package installation to
> fill the file system completely, but if the package pre/post-install scripts do
> stupid things, there's nothing AM can do.
> 

Knots media player, I can get a .deb for you if needed, installed through dpkg
over ssh.

> If the disk gets full, yes, there will be less than funny effects.
> 

Yeah, I doubt there's anything that can be done about it, but I'd be remiss if
I didn't at least file a bug. ;) timeless's recent barrage of low-space bugs
certainly demonstrates some of the odd behaviors.
Comment 3 Eero Tamminen nokia 2008-10-13 18:25:16 UTC
(In reply to comment #2)
>> Which package?  Application manager should not allow package installation
>> to fill the file system completely, but if the package pre/post-install
>> scripts do stupid things, there's nothing AM can do.
> 
> Knots media player, I can get a .deb for you if needed, installed
> through dpkg over ssh.

So you're not using AM...


> > If the disk gets full, yes, there will be less than funny effects.
> 
> Yeah, I doubt there's anything that can be done about it, but I'd be remiss if
> I didn't at least file a bug. ;) timeless's recent barrage of low-space bugs
> certainly demonstrates some of the odd behaviors.

Well, regarding the dpkg usage (instead of AM) on low disk, I'd say that you
should file this to upstream i.e. Debian "dpkg fills JFFS2 file system
completely", but I think their answer will be "don't do that" unless you offer
some clever but clean patch to solve that.

If you try to shoot at your leg, I'd recommend using pop- not shotgun. :-)
Comment 4 Ryan Abel (reporter) maemo.org 2008-10-15 00:46:31 UTC
(In reply to comment #3)
> (In reply to comment #2)
> >> Which package?  Application manager should not allow package installation
> >> to fill the file system completely, but if the package pre/post-install
> >> scripts do stupid things, there's nothing AM can do.
> > 
> > Knots media player, I can get a .deb for you if needed, installed
> > through dpkg over ssh.
> 
> So you're not using AM...
> 

Nah, it was easier to dpkg -i over ssh than walk across the room to pick up the
tablet to do it directly. :D

> 
> > > If the disk gets full, yes, there will be less than funny effects.
> > 
> > Yeah, I doubt there's anything that can be done about it, but I'd be remiss if
> > I didn't at least file a bug. ;) timeless's recent barrage of low-space bugs
> > certainly demonstrates some of the odd behaviors.
> 
> Well, regarding the dpkg usage (instead of AM) on low disk, I'd say that you
> should file this to upstream i.e. Debian "dpkg fills JFFS2 file system
> completely", but I think their answer will be "don't do that" unless you offer
> some clever but clean patch to solve that.
> 
> If you try to shoot at your leg, I'd recommend using pop- not shotgun. :-)
> 

Fair enough, shall we RESOLVE it then?
Comment 5 Andre Klapper maemo.org 2009-02-19 13:35:03 UTC
(In reply to comment #4)
> Nah, it was easier to dpkg

> > Well, regarding the dpkg usage (instead of AM) on low disk, I'd say that you
> > should file this to upstream i.e. Debian "dpkg fills JFFS2 file system
> > completely", but I think their answer will be "don't do that" unless you 
> > offer some clever but clean patch to solve that.

Upstream ticket at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=15865 for
those interested.

WONTFIX for downstream.